**probability of getting a job**

gen premp=0
replace premp=1 if lmstatus1==1
replace premp=. if lmstatus1==.


probit premp a1 age2 gen race1 married work backid2 backid3 educ
probit premp a1 age2 gen race1 married backid2 backid3 educ
probit premp a1 age2 gen race1  educ
predict phat
probit premp a1 age2 gen race1  edcatid2 edcatid3 edcatid4 edcatid5 edcatid6 edcatid7
predict phat1


**new stuff**
probit premp a1 age2 gen race1  educ  head if _merge==3 & (lmstatus1~=. & lmstatus1~=7)
predict phat2



**creating wage variable**
gen wage=.
replace wage=e9 if e8==4 & e10==2
replace wage=e9*21.75 if e8==1 & e10==2 & wage==.
replace wage=e9*4.33 if e8==2 & e10==2 & wage==.
replace wage=e9*2.17 if e8==3 & e10==2 & wage==.
replace wage=e11 if wage==. & e11~=0

replace wage=0 if (lmstatus1==2 | lmstatus1==3 | lmstatus1==4 | lmstatus1==5 | lmstatus1==6)
label variable wage "net monthly adjusted (e9) wage for those classified as wage employed"

gen empl=.
replace empl=0 if wage==0
replace empl=1 if wage>0 & wage~=.
label variable empl "1 if person has a net monthly wage (e9) 0 if person is self, cas, search, net, marg "

gen wage1=.
label var wage1 "monthly wage"
replace wage1=wage if wage>0
gen lnwage1=log(wage1)
label var lnwage1 "log of monthly wage"



**two-step**

heckman lnwage1 a1 gen race1 educ if wage~=., select (a1 gen educ head numploy2) 
predict wagehat
label variable wagehat "predicted wage offer"
gen whtrans=exp(wagehat)


**summary stats**
sort gen
by gen: sum whtrans if wage~=. 
sort race1
by race1: sum whtrans if wage~=.


gen diff=wagehat-lnk5
label variable diff "predicted-reservation"


gen rat=lnk5/wagehat
gen rat1=.
replace rat1=1 if rat>1 & wage~=. & rat~=.
replace rat1=0 if rat<=1 & wage~=.

label variable rat "ratio of res wage to predicted wage"
label variable rat1 "1 if res wage is higher then predict, 0 if res wage is below predict"



**regression on ratio**
probit rat1 a1 gen race1 back1 educ  work





